Package: org.codehaus.groovy.grails.resolve

## [Groovy] Class ResolvedArtifactReport

- org.codehaus.groovy.grails.resolve.ResolvedArtifactReport

- Used to represent a resolved artifact (downloaded and cached) in the dependency resolution system

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Dependency` | `dependency` @return The dependency
    `java.io.File` | `file` @return The file for this dependency

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### Dependency dependency

      Returns:
        The dependency

    - #### java.io.File file

      Returns:
        The file for this dependency